phpBB 3.0.14 - aktualizacja php do 8.2?

Tutaj możesz luźno podyskutować o skrypcie phpBB. To forum nie służy do zgłaszania problemów, wykrytych błędów czy pytań odnośnie modyfikacji i stylów.
rudesmen
Posty: 10
Rejestracja: 06 maja 2011, 15:05

phpBB 3.0.14 - aktualizacja php do 8.2?

Post autor: rudesmen » 24 listopada 2023, 10:59

Cześć,
mam phpBB 3.0.14 i php 5.3 na hostingu. Chcę zrobić aktualizację do phpBB 3.3, a zatem najpierw muszę też zaktualizować php na hostingu. Czy mogę na początek bezpiecznie zaktualizować php do 8.2 i forum phpBB 3.0.14 będzie dalej działać?

vader
Moderator
Posty: 1502
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: phpBB 3.0.14 - aktualizacja php do 8.2?

Post autor: vader » 04 grudnia 2023, 09:22

Hej, niestety to tak nie działa. Jeśli wcześniej zmienisz wersję PHP, to forum na starszej wersji przestanie działać.

W skrócie kroki do wykonania.

1. Zrób sobie kopię bazy danych/plików.
2. Przygotuj 3.0.14 do aktualizacji, chyba potrzebny jest SDK do usunięcia starych rozszerzeń.
3. Wrzuć pliki na serwer do nowej wersji.
4. Zmień wersję PHP na serwerze.
5. Przeprowadź aktualizację.

ODPOWIEDZ

Wróć do „Dyskusje o phpBB”